Skip to main content
GET
/
api
/
governance
/
routing-rules
Error
A valid request URL is required to generate request examples
{
  "rules": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "enabled": true,
      "cel_expression": "<string>",
      "targets": [
        {
          "weight": 0.5,
          "provider": "<string>",
          "model": "<string>",
          "key_id": "<string>"
        }
      ],
      "fallbacks": [
        "<string>"
      ],
      "scope_id": "<string>",
      "priority": 123,
      "query": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Query Parameters

scope
string

Filter routing rules by scope (global, team, customer, virtual_key)

scope_id
string

Filter routing rules by scope ID

Response

Successful response

Response containing list of routing rules

rules
object[]

CEL-based routing rule for intelligent request routing

count
integer

Number of routing rules returned